import { BaseResource, Filter, BaseRecord, ParamsType, BaseProperty, SupportedDatabasesType } from 'adminjs';
import { Model } from 'objection';
import { FindOptions } from './types.js';
import { Property } from './Property.js';
export declare class Resource extends BaseResource {
    private model;
    private relations;
    static isAdapterFor(resource: typeof Model): boolean;
    constructor(resource: typeof Model);
    databaseName(): string;
    databaseType(): SupportedDatabasesType | string;
    id(): string;
    properties(): Array<Property>;
    property(path: string): BaseProperty | null;
    count(filter: Filter): Promise<number>;
    find(filter: Filter, options: FindOptions): Promise<Array<BaseRecord>>;
    findOne(id: string): Promise<BaseRecord | null>;
    findMany(ids: Array<string | number>): Promise<Array<BaseRecord>>;
    create(params: ParamsType): Promise<ParamsType>;
    update(id: string, params: ParamsType): Promise<ParamsType>;
    delete(id: string): Promise<void>;
    private getRelations;
    private withPagination;
    private withSort;
    private getQueryBuilder;
    private handleValidationError;
}
