import { Property } from '../Property.js';
const prepareProperties = ({ schema, idColumn, required = [], relations = {}, } = {}) => {
    if (!schema)
        return [];
    return Object.entries((schema ?? {}))
        .reduce((memo, [path, info = {}], index) => {
        // eslint-disable-next-line no-param-reassign
        const extendedInfo = {
            ...info,
            name: path,
            isRequired: required.some((col) => col === 'path'),
            isId: idColumn === path,
            reference: relations[path],
        };
        if (info.type === 'object' && Object.keys(info.properties ?? {}).length) {
            extendedInfo.subProperties = prepareProperties({
                schema: info.properties,
                required: info.required ?? [],
            });
        }
        const property = new Property(extendedInfo, index);
        memo.push(property);
        return memo;
    }, []);
};
export default prepareProperties;
//# sourceMappingURL=prepare-properties.js.map